package com.zcloud.basic.info.persistence.repository;

import com.zcloud.basic.info.persistence.dataobject.RzUserRecordDO;
import com.alibaba.cola.dto.SingleResponse;
import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;

import java.util.Map;
import java.util.List;

/**
 * web-infrastructure
 *
 * @Author SondonYong
 * @Date 2025-12-05 14:00:37
 */
public interface RzUserRecordRepository extends BaseRepository<RzUserRecordDO> {

    PageResponse<RzUserRecordDO> listPage(Map<String, Object> params);

    List<RzUserRecordDO> list(Map<String, Object> params);

    SingleResponse<RzUserRecordDO> getInfoById(Long id);

    void addBatch(List<RzUserRecordDO> rzUserRecordDOList);
}

